package com.gh.gamecenter.adapter.viewholder;

import com.gh.gamecenter.common.base.BaseRecyclerViewHolder;
import com.gh.gamecenter.common.callback.OnListClickListener;
import com.gh.gamecenter.databinding.ToolboxItemBinding;
import com.gh.gamecenter.common.entity.ToolBoxEntity;

/**
 * Created by khy on 24/05/17.
 */

public class ToolBoxViewHolder extends BaseRecyclerViewHolder<ToolBoxEntity> {

    public ToolboxItemBinding binding;

    public ToolBoxViewHolder(ToolboxItemBinding binding) {
        super(binding.getRoot());
        this.binding = binding;
    }

    public ToolBoxViewHolder(ToolboxItemBinding binding, OnListClickListener listClickListener) {
        super(binding.getRoot(), listClickListener);
        this.binding = binding;
        this.binding.getRoot().setOnClickListener(this);
    }
}
